> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.ovrsea.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a document

> Fetch a document givent its id



## OpenAPI

````yaml /openapi.json get /v1/documents/{id}
openapi: 3.1.0
info:
  title: OVRSEA API
  version: 1.3.2
servers:
  - url: https://api.cf.ovrsea.com
security: []
paths:
  /v1/documents/{id}:
    get:
      tags:
        - Documents
      summary: Fetch a document
      description: Fetch a document givent its id
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Fetch a document given its id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
        '404':
          description: Document not found
          content:
            application/json:
              schema:
                description: Document not found
                type: object
components:
  schemas:
    Document:
      type: object
      modelName: Document
      properties:
        id:
          type: string
          example: '12345'
        name:
          type: string
          example: packing-list-export.pdf
        type:
          type: string
          enum:
            - null
            - packing_list
            - commercial_invoice
            - master_bill_of_lading
            - house_bill_of_lading
            - master_airway_bill
            - house_airway_bill
            - proof_of_delivery
            - dangerous_goods_declaration
            - material_safety_data_sheet
            - exa
            - cmr
            - ima
            - power_of_attorney_customs_declaration
            - power_of_attorney_eur1
            - eur1
            - entry_summary
            - t1
            - cargo_manifest
            - cargo_screening
            - lithium_certificate
            - carta_de_plastico
            - levante
            - ddi
            - dde
            - pickup_form
        ovrsea_shipment_id:
          type: string
          example: CDEF
        link:
          type: string
          example: https://client.ovrsea.com/documents/packing-list-export.pdf/download
        size:
          type: integer
          example: 20000
        uploaded_at:
          $ref: '#/components/schemas/SimpleDate'
    SimpleDate:
      modelName: SimpleDate
      type: string
      example: '2021-10-11'

````